import * as $dara from '@darabonba/typescript';
export declare class StartInstancesResponseBodyInstanceResponsesInstanceResponse extends $dara.Model {
    code?: string;
    currentStatus?: string;
    instanceId?: string;
    message?: string;
    previousStatus?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class StartInstancesResponseBodyInstanceResponses extends $dara.Model {
    instanceResponse?: StartInstancesResponseBodyInstanceResponsesInstanceResponse[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class StartInstancesResponseBody extends $dara.Model {
    instanceResponses?: StartInstancesResponseBodyInstanceResponses;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
